Debian Bug report logs - #477186
nano: PHP syntax higlight

version graph

Package: nano; Maintainer for nano is Jordi Mallach <jordi@debian.org>; Source for nano is src:nano.

Reported by: Al Nikolov <clown@debian.org>

Date: Mon, 21 Apr 2008 17:00:02 UTC

Severity: wishlist

Merged with 522293

Found in versions nano/2.0.2-1etch1, nano/2.0.7-4

Fixed in version nano/2.1.10-1

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://savannah.gnu.org/bugs/index.php?26070

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#477186; Package nano. Full text and rfc822 format available.

Acknowledgement sent to Al Nikolov <clown@debian.org>:
New Bug report received and forwarded. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Al Nikolov <clown@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nano: PHP syntax higlight
Date: Mon, 21 Apr 2008 20:55:30 +0400
Package: nano
Version: 2.0.2-1etch1
Severity: wishlist

Please include usr/share/nano/php.nanorc like shown below in the package.

syntax "php" "\.php[2345s~]?$"
color brightblue start="<\?(php)?" end="\?>"
color blue start="<[^\?]" end="[^\?]>"
color red "(var|class|function|echo|case|break|default|exit|switch|if|else|elseif|@|while)\s"
color cyan "\$[a-zA-Z_0-9]*"
color cyan "(\[)|(\])"
color red "="
color green "[,{}()]"
color green "=="
color white "('[^']*')|(\"[^"]*\")"
color yellow start="<!--" end="-->"
color yellow start="/\*" end="\*/"
color yellow start="#" end="$"
color yellow start="//" end="$"


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable'), (200, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)

Versions of packages nano depends on:
ii  libc6                  2.3.6.ds1-13etch5 GNU C Library: Shared libraries
ii  libncursesw5           5.5-5             Shared libraries for terminal hand

nano recommends no packages.

-- no debconf information




Merged 477186 522293. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Thu, 02 Apr 2009 14:18:05 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to Subject:Include more syntax highlight files e.g. for PHP (Debian bug) https://savannah.gnu.org/bugs/index.php?26070. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Thu, 02 Apr 2009 14:30:03 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from Subject:Include more syntax highlight files e.g. for PHP (Debian bug) https://savannah.gnu.org/bugs/index.php?26070 to https://savannah.gnu.org/bugs/index.php?26070. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Fri, 05 Jun 2009 18:12:06 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from https://savannah.gnu.org/bugs/index.php?26070 to https://savannah.gnu.org/bugs/index.php?26070. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Fri, 05 Jun 2009 18:12:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jordi Mallach <jordi@debian.org> to control@bugs.debian.org. (Sat, 25 Jul 2009 18:06:04 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Fri, 14 Aug 2009 10:36:03 GMT) Full text and rfc822 format available.

Notification sent to Al Nikolov <clown@debian.org>:
Bug acknowledged by developer. (Fri, 14 Aug 2009 10:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 477186-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 477186-close@bugs.debian.org
Subject: Bug#477186: fixed in nano 2.1.10-1
Date: Fri, 14 Aug 2009 10:11:02 +0000
Source: nano
Source-Version: 2.1.10-1

We believe that the bug you reported is fixed in the latest version of
nano, which is due to be installed in the Debian FTP archive:

nano-tiny_2.1.10-1_amd64.deb
  to pool/main/n/nano/nano-tiny_2.1.10-1_amd64.deb
nano-udeb_2.1.10-1_amd64.udeb
  to pool/main/n/nano/nano-udeb_2.1.10-1_amd64.udeb
nano_2.1.10-1.diff.gz
  to pool/main/n/nano/nano_2.1.10-1.diff.gz
nano_2.1.10-1.dsc
  to pool/main/n/nano/nano_2.1.10-1.dsc
nano_2.1.10-1_amd64.deb
  to pool/main/n/nano/nano_2.1.10-1_amd64.deb
nano_2.1.10.orig.tar.gz
  to pool/main/n/nano/nano_2.1.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 477186@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated nano package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 14 Aug 2009 09:54:24 +0200
Source: nano
Binary: nano nano-tiny nano-udeb
Architecture: source amd64
Version: 2.1.10-1
Distribution: experimental
Urgency: low
Maintainer: Jordi Mallach <jordi@debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 nano       - small, friendly text editor inspired by Pico
 nano-tiny  - small, friendly text editor inspired by Pico - tiny build
 nano-udeb  - small, friendly text editor inspired by Pico - udeb (udeb)
Closes: 477186 496008 508903 514909 522295
Changes: 
 nano (2.1.10-1) experimental; urgency=low
 .
   * The "Una pastuqui importante" release.
   * New upstream development release (closes: #522295).
     - includes PHP syntax highlighting (closes: #477186).
     - includes experimental undo support, but it's known to be unstable.
   * Rewrite all descriptions, as suggested by Justin B. Rye, emphasyzing
     nano's features instead of Pico's non-freeness (closes: #508903).
   * Fix corrupted UTF-8 in several ancient changelog entries.
   * Fix install directory for example nanorc.
   * Resynchronize nanorc with sample.nanorc for the new options in nano 2.2.
   * Enable syntax highlighting by default. Please tell me if nano gets
     slower on your setup in order to reconsider this change (closes: #514909).
   * Add 10_browser_floating_point_exception.patch to fix a division by zero;
     report and suggested fix by Paul Wise (closes: #496008).
   * Fix some fixes in 01_manpage_hyphens.patch.
   * Bump Standards-Version to 3.8.2, no changes needed.
Checksums-Sha1: 
 54d0d76439ddf7db225e51fe30e54163d823e6d2 1255 nano_2.1.10-1.dsc
 dafa7b64fb5a8bf14bb4cad476b5d03b1a182fbc 1478204 nano_2.1.10.orig.tar.gz
 ba5175d5753d78d7bbfb93637ea87c38c7bce763 28729 nano_2.1.10-1.diff.gz
 8fcfd44ec9f9c2ab8e55f876286ccce416a35e22 551490 nano_2.1.10-1_amd64.deb
 00f58e88fdd2c71ef4bee4f236bd1274a2a83964 77584 nano-tiny_2.1.10-1_amd64.deb
 01770e0f60669c7dcfc6df6b2d3bc616df19e9b9 36880 nano-udeb_2.1.10-1_amd64.udeb
Checksums-Sha256: 
 15b7657b04a978c26f95362ac29b625191b71c0dec1f8e28c3006efd8d6ed95c 1255 nano_2.1.10-1.dsc
 03af11adace9f6c482a06f5304c5aba5d134972a416ce4368307b604420b2e40 1478204 nano_2.1.10.orig.tar.gz
 f8f2231da1e34f1d92f734730b4b9c95c8f1449eb36ab76b412edc2fe9ba2ba8 28729 nano_2.1.10-1.diff.gz
 590f079962398992178ec505c2b51684536ed37d26f20f163da58f4bb676f374 551490 nano_2.1.10-1_amd64.deb
 851741aed63a7c8b07d2e6f4f97295a79f3d81cceb0184b1be1914a947a22487 77584 nano-tiny_2.1.10-1_amd64.deb
 24982dbced05747dc90e6ea059f007e03bc4f9a89b80d5b2cba99d89f6959673 36880 nano-udeb_2.1.10-1_amd64.udeb
Files: 
 f55fca3e3211ecb3e419b0d67c9c5d6f 1255 editors optional nano_2.1.10-1.dsc
 f55bd9efeccf9da98950b54a4b0d872e 1478204 editors optional nano_2.1.10.orig.tar.gz
 1609751a2b10110420bf0066a12de1cc 28729 editors optional nano_2.1.10-1.diff.gz
 412552edb5be7136686c7c328d02a63d 551490 editors important nano_2.1.10-1_amd64.deb
 ff531d4312b1cc90d9610cb035e8fc6f 77584 editors optional nano-tiny_2.1.10-1_amd64.deb
 551af28a25b6300a885ff67c9d071a86 36880 debian-installer standard nano-udeb_2.1.10-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqFGuEACgkQJYSUupF6Il5ufACfRp0C2cMsQGCfKM2xzZzo0yb9
U+QAnjbq6teZDnj9kMmkkB7yQS8v3dtj
=06cQ
-----END PGP SIGNATURE-----





Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Fri, 14 Aug 2009 10:36:04 GMT) Full text and rfc822 format available.

Notification sent to Jari Aalto <jari.aalto@cante.net>:
Bug acknowledged by developer. (Fri, 14 Aug 2009 10:36:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Nov 2009 07:49:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 10:48:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.